A object to manage reference plane.
コード例 #1
0
        ///<summary>
        /// Implement this method as an external command for Revit.
        /// </summary>
        /// <param name="commandData">An object that is passed to the external application
        /// which contains data related to the command,
        /// such as the application object and active view.</param>
        /// <param name="message">A message that can be set by the external application
        /// which will be displayed if a failure or cancellation is returned by
        /// the external command.</param>
        /// <param name="elements">A set of elements to which the external application
        /// can add elements that are to be highlighted in case of failure or cancellation.</param>
        /// <returns>Return the status of the external command.
        /// A result of Succeeded means that the API external method functioned as expected.
        /// Cancelled can be used to signify that the user cancelled the external operation
        /// at some point. Failure should be returned if the application is unable to proceed with
        /// the operation.</returns>
        public Autodesk.Revit.UI.Result Execute(ExternalCommandData commandData,
                                                ref string message,
                                                ElementSet elements)
        {
            try
            {
                // Generate an object of Revit reference plane management.
                ReferencePlaneMgr refPlaneMgr = new ReferencePlaneMgr(commandData);

                using (ReferencePlaneForm dlg = new ReferencePlaneForm(refPlaneMgr))
                {
                    if (dlg.ShowDialog() == System.Windows.Forms.DialogResult.OK)
                    {
                        // Done some actions, ask revit to execute it.
                        return(Autodesk.Revit.UI.Result.Succeeded);
                    }
                    else
                    {
                        // Revit need to do nothing.
                        return(Autodesk.Revit.UI.Result.Cancelled);
                    }
                }
            }
            catch (Exception e)
            {
                // Exception raised, report it by revit error reporting mechanism.
                message = e.ToString();
                return(Autodesk.Revit.UI.Result.Failed);
            }
        }
コード例 #2
0
ファイル: Command.cs プロジェクト: AMEE/revit
        ///<summary>
        /// Implement this method as an external command for Revit.
        /// </summary>
        /// <param name="commandData">An object that is passed to the external application 
        /// which contains data related to the command, 
        /// such as the application object and active view.</param>
        /// <param name="message">A message that can be set by the external application 
        /// which will be displayed if a failure or cancellation is returned by 
        /// the external command.</param>
        /// <param name="elements">A set of elements to which the external application 
        /// can add elements that are to be highlighted in case of failure or cancellation.</param>
        /// <returns>Return the status of the external command. 
        /// A result of Succeeded means that the API external method functioned as expected. 
        /// Cancelled can be used to signify that the user cancelled the external operation 
        /// at some point. Failure should be returned if the application is unable to proceed with 
        /// the operation.</returns>
        public Autodesk.Revit.UI.Result Execute(ExternalCommandData commandData,
            ref string message,
            ElementSet elements)
        {
            try
            {
                // Generate an object of Revit reference plane management.
                ReferencePlaneMgr refPlaneMgr = new ReferencePlaneMgr(commandData);

                using (ReferencePlaneForm dlg = new ReferencePlaneForm(refPlaneMgr))
                {
                    if (dlg.ShowDialog() == System.Windows.Forms.DialogResult.OK)
                    {
                        // Done some actions, ask revit to execute it.
                        return Autodesk.Revit.UI.Result.Succeeded;
                    }
                    else
                    {
                        // Revit need to do nothing.
                        return Autodesk.Revit.UI.Result.Cancelled;
                    }
                }
            }
            catch (Exception e)
            {
                // Exception raised, report it by revit error reporting mechanism.
                message = e.ToString();
                return Autodesk.Revit.UI.Result.Failed;
            }
        }
コード例 #3
0
        /// <summary>
        /// A form object constructor.
        /// </summary>
        /// <param name="refPlaneMgr">A ReferencePlaneMgr buffer.</param>
        public ReferencePlaneForm(ReferencePlaneMgr refPlaneMgr)
        {
            Debug.Assert(null != refPlaneMgr);
            InitializeComponent();

            m_refPlaneMgr = refPlaneMgr;

            // Set up the data source.
            refPlanesDataGridView.DataSource = m_refPlaneMgr.ReferencePlanes;

            refPlanesDataGridView.Columns[0].Width = (int)(refPlanesDataGridView.Width * 0.13);
            refPlanesDataGridView.Columns[1].Width = (int)(refPlanesDataGridView.Width * 0.29);
            refPlanesDataGridView.Columns[2].Width = (int)(refPlanesDataGridView.Width * 0.29);
            refPlanesDataGridView.Columns[3].Width = (int)(refPlanesDataGridView.Width * 0.29);
        }
コード例 #4
0
ファイル: ReferencePlaneForm.cs プロジェクト: AMEE/revit
        /// <summary>
        /// A form object constructor.
        /// </summary>
        /// <param name="refPlaneMgr">A ReferencePlaneMgr buffer.</param>
        public ReferencePlaneForm(ReferencePlaneMgr refPlaneMgr)
        {
            Debug.Assert(null != refPlaneMgr);
            InitializeComponent();

            m_refPlaneMgr = refPlaneMgr;

            // Set up the data source.
            refPlanesDataGridView.DataSource = m_refPlaneMgr.ReferencePlanes;

            refPlanesDataGridView.Columns[0].Width = (int)(refPlanesDataGridView.Width * 0.13);
            refPlanesDataGridView.Columns[1].Width = (int)(refPlanesDataGridView.Width * 0.29);
            refPlanesDataGridView.Columns[2].Width = (int)(refPlanesDataGridView.Width * 0.29);
            refPlanesDataGridView.Columns[3].Width = (int)(refPlanesDataGridView.Width * 0.29);
        }